Redmine - Defect #20619

When incomming mail has invalid journal id the mail is ignored

2015-08-26 08:48 - Erlend ter Maat

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 3.1.0
Description

Incomming mail - replies to issue notifications - may contain an email header with a journal id.

In some cases the journal-id does not exist in the database. | asume this can be due to system crash or some other kind of

inconsistency.

When the journal ID is not found in the database the email is ignored and processing continues the next mail.

| think better handling would be to at least process the email as a new issue, then it would be noticed in the webinterface at the
moment of sending, instead of when the sender complains about an unnoticed email message.

Please add dispatch_to_default to the receive_XXX_reply functions at app/models/mail_handler.rb

This affects all versions.

History

#1 - 2015-08-26 14:20 - Erlend ter Maat

- Status changed from New to Resolved

Solved by upgrading to 3.1.0

#2 - 2015-08-27 00:51 - Toshi MARUYAMA

- Status changed from Resolved to Closed

2025-05-03

1/1



http://www.tcpdf.org

